<?xml version="1.0" encoding="UTF-8"?>
<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform" xmlns:common="http://common.bitel.ru" xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance">
<xsl:import href="layout.xsl"/>

<xsl:template name="title">
<xsl:choose>
	<xsl:when test="data/@action = 'Subscription'">Управление подпиской карт CerberCrypt</xsl:when>
	<xsl:when test="data/@action = 'VirtualCinema'">Виртуальный кинотеатр CerberCrypt</xsl:when>
	<xsl:when test="data/@action = 'Card'">Добавление карт CerberCrypt</xsl:when>
	<xsl:when test="data/@action = 'ChangePassword'">Смена пароля на карте</xsl:when>
</xsl:choose>
</xsl:template>

<xsl:template match="/data">
<xsl:choose>
	<xsl:when test="@action = 'Subscription'">
		<xsl:call-template name="Subscription"/>
	</xsl:when>
	<xsl:when test="@action = 'VirtualCinema'">
	 	<xsl:call-template name="VirtualCinema"/>
	</xsl:when>	
	<xsl:when test="@action = 'Card'">
	 	<xsl:call-template name="Card"/>
	</xsl:when>
	<xsl:when test="@action = 'ChangePassword'">
	 	<xsl:call-template name="ChangePassword"/>
	</xsl:when>
</xsl:choose>
</xsl:template>


<xsl:template name="Card">
<div class="report">
	<table cellspacing='1' class="table800">
	<thead>
	  <tr>
		<td nowrap='1'>Номер карты</td>
		<td>Период</td>
		<td>Комментарий</td>
	  </tr>
	</thead>
	<tbody>
	  <xsl:for-each select="cards/card">
		<tr>
			<td><xsl:value-of select="@number"/></td>
			<td><xsl:value-of select="@period"/></td>
			<td><xsl:choose><xsl:when test="string-length(@comment)>0"><xsl:value-of select="@comment"/></xsl:when><xsl:otherwise>&#160;</xsl:otherwise></xsl:choose></td>
		</tr>
	  </xsl:for-each>
	</tbody>
	</table>
</div>
	
	<form method='post' action='{$WEBEXECUTER}'>
		<xsl:call-template name="action"/>
				
		<table border='0' cellspacing='3'>
	 		<tr><td>Номер карты</td><td><input type="text" name="cardNumber" size="20"><xsl:attribute name="value"><xsl:value-of select="//data/request/@cardNumber[//data/request/@cardNumber!='0']"/></xsl:attribute></input></td></tr>
			<tr><td>Пароль карты</td><td><input type="password" name="password" size="20"/></td></tr>
			<tr><td colspan="2"><input type="submit" value="Добавить"/></td></tr>
		</table>
	</form>
</xsl:template>


<!-- комбобокс-форма с выбором карты -->
<xsl:template name="card_combobox">
	<form method="post" action="{$WEBEXECUTER}">
		<xsl:call-template name="action"/>
		<table class="filter">
			<tr>
				<td>Номер карты:</td>
				<td>
					<select class="gradbtn " name="card">
						<xsl:for-each select="card_list/item">
						<option value="{@id}">
							<xsl:if test="@id=/data/card_list/@card">
								<xsl:attribute name="selected">selected</xsl:attribute>
							</xsl:if>
							<xsl:value-of select="@number"/>
						</option>					
						</xsl:for-each>
					</select>
				</td>
				<td>
					<xsl:call-template name="submit">
						<xsl:with-param name="title" select="'Выбрать'"/>
					</xsl:call-template>
				</td>
			</tr>	  
		</table>
	</form>
	
	<xsl:if test="/data/card_list/@cardisactive != 1">
		Карта неактивна!<br/><br/>
	</xsl:if>
	
	<xsl:if test="slavecard_list/item">
	К этой карте привязаны карты:
	<ul>
		<xsl:for-each select="slavecard_list/item">
			<li><xsl:value-of select="@number"/> ( <xsl:value-of select="@basecardTitle"/> )</li>
		</xsl:for-each>
	</ul>
	</xsl:if>

</xsl:template>


<xsl:template name="Subscription">
		
	<xsl:call-template name="card_combobox"/>
	
	<xsl:if test="card_list/@card &gt; 0">
		<xsl:choose>
			<xsl:when test="/data/@showarchive = 1">
				Архив всей подписки:<br/>
			</xsl:when>
			<xsl:otherwise>
				Текущая подписка:<br/>
			</xsl:otherwise>
		</xsl:choose>

		<div class="report">
			<table cellspacing='1' class="table800">
			<thead>
		  		<tr>
					<td nowrap='1'>Пакет</td>
					<td>Период</td>
					<td>Текущее состояние</td>
					<td/>
		  		</tr>
			</thead>
			<tbody>
		  		<xsl:for-each select="current_subscription/item">
				<tr>
					<xsl:if test="@packetisactive != 1">
						<xsl:attribute name="style">color: #8e8e8e;</xsl:attribute>
					</xsl:if>
					<td>
						<xsl:value-of select="@packet"/>
						<br/><small>(включает каналов: <xsl:value-of select="@channel_count"/>)</small>
					</td>
					<td><xsl:value-of select="@period"/></td>
					<td><xsl:value-of select="@status"/></td>
					<td>						
						<xsl:if test="@canclose = 1">
							<xsl:call-template name="subscription_change_close">
								<xsl:with-param name="packet_id" select="@packet_id"/>
							</xsl:call-template>
						</xsl:if>
					</td>
				</tr>
		  		</xsl:for-each>
			</tbody>
			</table>
		</div>		
		
		<!--  показать архив -->
		<form method="post">
			<xsl:call-template name="action"/>
			<input type="hidden" name="showarchive" value="1"/>
			<input type="hidden" name="card" value="{/data/card_list/@card}"/>
			( <xsl:call-template name="submit_text">
				<xsl:with-param name="title" select="'показать архив'"/>
			</xsl:call-template> )
		</form>
	
		<!-- показываем только для активных карт -->
		<xsl:if test="/data/card_list/@cardisactive = 1">

		<div style="margin: 20px;">Дневная стоимость текущей подписки:&#x0A;<b><xsl:value-of select="current_subscription/@cost"/></b></div>
	
		Планы по смене подписки:
		<div class="report">
			<table cellspacing="1" class="table800">
			<thead>
		  		<tr>
					<td nowrap="1">Пакет</td>
					<td>Период</td>
					<td>Дневная стоимость</td>
					<td>Удалить</td>
		  		</tr>
			</thead>
			<tbody>
		  	<xsl:for-each select="future_subscription/item">
				<tr>
					<td><xsl:value-of select="@packet"/></td>
					<td><xsl:value-of select="@period"/></td>
					<td><xsl:value-of select="@cost"/></td>
					<td>
						<form method="post">
						<xsl:call-template name="action"/>
						<input type="hidden" name="command" value="delete"/>
						<input type="hidden" name="id" value="{@id}"/>
						<input type="hidden" name="card" value="{/data/card_list/@card}"/>
						<xsl:call-template name="submit">
							<xsl:with-param name="title" select="'Удалить'"/>
							<xsl:with-param name="align" select="'center'"/>
						</xsl:call-template>				
						</form>
					</td>
				</tr>
		  	</xsl:for-each>
			</tbody>
			</table>
		</div>		
		<br/>

		<xsl:choose>
			<xsl:when test="/data/packet_list/item/@packetGroup">
				Базовые пакеты:
				<xsl:call-template name="subscription_change_open">
					<xsl:with-param name="list" select="/data/packet_list/item[@packetGroup]"/>
				</xsl:call-template>
				Дополнительные пакеты:
				<xsl:call-template name="subscription_change_open">
					<xsl:with-param name="list" select="/data/packet_list/item[not(@packetGroup)]"/>
				</xsl:call-template>
			</xsl:when>
			<xsl:otherwise>
				<xsl:call-template name="subscription_change_open">
					<xsl:with-param name="list" select="/data/packet_list/item"/>
				</xsl:call-template>
			</xsl:otherwise>
		</xsl:choose>

		</xsl:if><!-- cardisactive -->
	</xsl:if>
</xsl:template>	


<xsl:template name="subscription_change_open">
	<xsl:param name="list"/>

	<form method="post" action="{$WEBEXECUTER}">
		<xsl:call-template name="action"/>
		<input type="hidden" name="command" value="change"/>
		<input type="hidden" name="card" value="{/data/card_list/@card}"/>
		<input type="hidden" name="type" value="open"/>
		
		<!-- изменение подписки -->
		<table class="filter"><tr>
		  	<td>Открыть</td>
			<td>
				<select class="gradbtn " name="packet">
					<xsl:for-each select="$list">
						<xsl:if test="@can_web_open = 1">
						<option value="{@id}"><xsl:value-of select="@title"/></option>
						</xsl:if>
					</xsl:for-each>
				</select>
			</td>
			<td>с</td>
			
			<!-- если есть список дат, то он рисуется, иначе рисуются поля для ручного ввода даты -->
			<xsl:choose>
			<xsl:when test="/data/date_list_open">
				<td>
					<select class="gradbtn " name="from_date" >
						<xsl:for-each select="/data/date_list_open/item">
							<option value="{@value}"><xsl:value-of select="@value"/></option>
						</xsl:for-each>
					</select>
				</td>
			</xsl:when>
			<xsl:otherwise>
				<td>
					<xsl:call-template name="dayFilterFormFuture">
						<xsl:with-param name="withZero" select="'1'"/>
						<xsl:with-param name="withLabel" select="'0'"/>
						<xsl:with-param name="withSubmit" select="'0'"/>
					</xsl:call-template>
				</td>
			</xsl:otherwise>
			</xsl:choose>
			
			<!-- Для возможности юзером откаментить смену статуса - раскомментировать
			<td>
				Комментарий: <input type="text" name="comment"></input>
			</td>
			-->
						
			<td>
				<xsl:call-template name="submit">
					<xsl:with-param name="title" select="'Выполнить'"/>
				</xsl:call-template>
			</td>
		</tr></table>
	</form>

</xsl:template>


<xsl:template name="subscription_change_close">
	<xsl:param name="packet_id"/>

	<form method="post" action="{$WEBEXECUTER}">
		<xsl:call-template name="action"/>
		<input type="hidden" name="command" value="change"/>
		<input type="hidden" name="card" value="{/data/card_list/@card}"/>
		<input type="hidden" name="type" value="close"/>
		
		<!-- изменение подписки -->
		<table style="border-collapse: collapse;"><tr>
			<td style="border-style: none ! important;">
				<input type="hidden" name="packet" value="{$packet_id}"/>				
				Закрыть с
			</td>

			<!-- если есть список дат, то он рисуется, иначе рисуются поля для ручного ввода даты -->
			<xsl:choose>
			<xsl:when test="/data/date_list_close">
				<td style="border-style: none ! important;">
					<select class="gradbtn " name="from_date" >
						<xsl:for-each select="/data/date_list_close/item">
							<option value="{@value}"><xsl:value-of select="@value"/></option>
						</xsl:for-each>
					</select>
				</td>
			</xsl:when>
			<xsl:otherwise>
				<td style="border-style: none ! important;">
					<xsl:call-template name="dayFilterFormFuture">
						<xsl:with-param name="withZero" select="'0'"/>
						<xsl:with-param name="withLabel" select="'0'"/>
						<xsl:with-param name="withSubmit" select="'0'"/>
					</xsl:call-template>
				</td>
			</xsl:otherwise>
			</xsl:choose>			

			<!-- Для возможности юзером откаментить смену статуса - раскомментировать
			<td style="border-style: none ! important;">
				Комментарий: <input type="text" name="comment"></input>
			</td>
			-->

			<td style="border-style: none ! important;">
				<xsl:call-template name="submit">
					<xsl:with-param name="title" select="'Выполнить'"/>
				</xsl:call-template>
			</td>
		</tr></table>
	
	</form>

</xsl:template>


<xsl:template name="VirtualCinema">
	
	<xsl:call-template name="card_combobox"/>
	
	<xsl:if test="card_list/@card &gt; 0">
		<!-- текущая подписка -->
		<xsl:choose>
			<xsl:when test="/data/@showarchive = 1">
				Архив всей подписки:<br/>
			</xsl:when>
			<xsl:otherwise>
				Текущая подписка:<br/>
			</xsl:otherwise>
		</xsl:choose>

		<div class="report">
			<table cellspacing='1' class="table800">
			<thead>
		  		<tr>
					<td nowrap='1'>Кинозал</td>
					<td>С часа</td>
					<td>По час</td>
					<td>Стоимость</td>
		  		</tr>
			</thead>
			<tbody>
		  		<xsl:for-each select="current_subscription/item">
				<tr>
					<xsl:if test="@packetisactive != 1">
						<xsl:attribute name="style">color: #8e8e8e;</xsl:attribute>
					</xsl:if>
					<td><xsl:value-of select="@packet"/></td>
					<td><xsl:value-of select="@date1"/></td>
					<td><xsl:value-of select="@date2"/></td>				
					<td><xsl:value-of select="@cost"/></td>
				</tr>
		  		</xsl:for-each>
			</tbody>
			</table>
		</div>

		<!--  показать архив -->
		<form method="post">
			<xsl:call-template name="action"/>
			<input type="hidden" name="showarchive" value="1"/>
			<input type="hidden" name="card" value="{/data/card_list/@card}"/>
			( <xsl:call-template name="submit_text">
				<xsl:with-param name="title" select="'показать архив'"/>
			</xsl:call-template> )
		</form>
		
		<br/>
		<!-- <table class="filter" cellspacing="0"><tr><td>
		Текущая стоимость:&#x0A;<xsl:value-of select="current_subscription/@cost"/>
		</td></tr></table>
	 	-->	 
	 
		<xsl:if test="future_subscription/item">
			Будущая активация:
			<div class="report">
			<!-- планы по смене подписки -->
			<table cellspacing='1' class="table800">
			<thead>
		  	<tr>
				<td nowrap='1'>Кинозал</td>
				<td>С часа</td>
				<td>По час</td>
				<td>Стоимость</td>
				<td>Удалить</td>
		  	</tr>
			</thead>
			<tbody>
		  		<xsl:for-each select="future_subscription/item">
				<tr>
					<td><xsl:value-of select="@packet"/></td>
					<td><xsl:value-of select="@date1"/></td>
					<td><xsl:value-of select="@date2"/></td>
					<td><xsl:value-of select="@cost"/></td>
					<td>
					<form method="post">
					<xsl:call-template name="action"/>
					<input type="hidden" name="command" value="delete"/>
					<input type="hidden" name="id" value="{@id}"/>
					<input type="hidden" name="card" value="{/data/card_list/@card}"/>
					<xsl:call-template name="submit">
						<xsl:with-param name="title" select="'Удалить'"/>
						<xsl:with-param name="align" select="'center'"/>
					</xsl:call-template>				
					</form>
					</td>
				</tr>
		  		</xsl:for-each>
			</tbody>
			</table>
			</div>
			<br/>
		</xsl:if>
		
		<!-- показываем только для активных карт -->
		<xsl:if test="/data/card_list/@cardisactive = 1">
		
		<form method="post"><!-- TODO непонятно - что это, куда это и как это работает, экшен где? O_o -->
		<xsl:call-template name="action"/>
		<input type="hidden" name="command" value="change"/>
		<input type="hidden" name="type" value="activate"/>
		<input type="hidden" name="card">
			<xsl:attribute name="value"><xsl:value-of select="/data/card_list/@card"/></xsl:attribute>
		</input>
		<!-- изменение подписки -->
		<table class="filter"><tr>
		  	<td>
				Активировать кинозал:
			</td>
			<td>
				<select class="gradbtn " name="packet">
					<xsl:for-each select="/data/packet_list/item">
						<option>
							<xsl:attribute name="value"><xsl:value-of select="@id"/></xsl:attribute>
							<xsl:value-of select="@title"/>
						</option>
					</xsl:for-each>			
				</select>
			</td>
			<td>
				<xsl:call-template name="submit">
					<xsl:with-param name="title" select="'Выполнить'"/>
				</xsl:call-template>
			</td>
		</tr></table>
		</form>
		
		<xsl:for-each select="activation">
		<form method="post"><!-- экшен где? -->
		<xsl:call-template name="action"/>
		<input type="hidden" name="command" value="change"/>
		<input type="hidden" name="type" value="activate"/>
		<input type="hidden" name="card">
			<xsl:attribute name="value"><xsl:value-of select="/data/card_list/@card"/></xsl:attribute>
		</input>
		<input type="hidden" name="packet" value="{@packet}"/>
		<input type="hidden" name="activate" value="1"/>
		<table class="filter" cellspacing='0'><tr>
		  	<td>
				Вы действительно хотите активировать кинозал "<xsl:value-of select="@virtual_cinema"/>" <nobr>стоимостью <xsl:value-of select="@summ"/>?</nobr>
				<br/>Сумма будет списана с вашего счета.
			</td></tr><tr>
			<td>
				<xsl:call-template name="submit">
					<xsl:with-param name="align" select="'left'"/>
					<xsl:with-param name="title" select="'Активировать'"/>
				</xsl:call-template>
			</td>
		</tr></table>
		</form>
		</xsl:for-each>
		
		</xsl:if><!-- cardisactive -->
		
	</xsl:if>
</xsl:template>	


<xsl:template name="ChangePassword">
	<xsl:call-template name="card_combobox"/>

	<xsl:if test="card_list/@card &gt; 0">
	
	<form method="post" action='{$WEBEXECUTER}'>
		<xsl:call-template name="action"/>
		<input type="hidden" name="command" value="change"/>
		<input type="hidden" name="card" value="{/data/card_list/@card}"/>
		<xsl:if test="/data/@status = 'ok'"><div class="infoMessage">Пароль изменен!</div></xsl:if>

		<table class="layout">
			<tr>
				<td>Текущий пароль:</td>
				<td><input type='password' name='pswd0' size='15' maxlength='15'/></td>
  			</tr>
			<tr>
				<td>Новый пароль:</td>
				<td><input type='password' name='pswd1' size='15' maxlength='15'/></td>
  			</tr>
  			<tr>
				<td>Повторите пароль:</td>
				<td><input type='password' name='pswd2' size='15' maxlength='15'/></td>
  			</tr>
	 		<tr class="foot">
	 			<td colspan='2'>
	  				<xsl:call-template name="submit">
						<xsl:with-param name="title" select="'Сохранить'"/>
						<xsl:with-param name="align" select="'right'"/>
					</xsl:call-template>
	  			</td>
	  		</tr>
	 	</table>
	</form>
	
	</xsl:if>
</xsl:template>

</xsl:stylesheet>